Bug 127289 (CVE-2013-6663)

Summary: Update overlay scrollbars in single pass
Product: WebKit Reporter: Antti Koivisto <koivisto>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bdakin, commit-queue, jeffcz, kling, simon.fraser
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 127354    
Bug Blocks:    
Attachments:
Description Flags
patch andersca: review+

Description Antti Koivisto 2014-01-20 06:07:41 PST
Multi-pass scrollbar resolution is only needed for traditional scrollbars. Overlay scrollbars don't affect layout.
Comment 1 Antti Koivisto 2014-01-20 06:36:06 PST
Created attachment 221656 [details]
patch
Comment 2 WebKit Commit Bot 2014-01-20 06:38:03 PST
Attachment 221656 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ScrollView.cpp:560:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Antti Koivisto 2014-01-20 09:17:38 PST
https://trac.webkit.org/r162354
Comment 4 Simon Fraser (smfr) 2014-01-20 12:13:44 PST
Comment on attachment 221656 [details]
patch

I think this might be a no-op after r155660?
Comment 5 WebKit Commit Bot 2014-01-21 09:58:52 PST
Re-opened since this is blocked by bug 127354
Comment 6 Alexey Proskuryakov 2014-01-21 10:37:44 PST
Rolled out in <http://trac.webkit.org/changeset/162447>, and confirmed that this fixed the test.

Looks like this is a good patch overall, but straightening its effects on accessibility seems tricky. It manifested in really weird behavior, see bug 127323.
Comment 7 Alexey Proskuryakov 2014-01-21 11:30:32 PST
> I think this might be a no-op after r155660?

Definitely still not a no-op, because rolling it out changed test behavior.
Comment 8 Simon Fraser (smfr) 2014-01-21 12:24:18 PST
Yeah, I confirmed yesterday that it does eliminate calls to visibleContentsResized()
Comment 9 Antti Koivisto 2014-01-22 05:05:28 PST
Relanded in https://trac.webkit.org/r162515

It tries to resolve accessibility test flakiness by forcing layout in the test. The real bug might be in the AccessibilityController.